using System.ComponentModel.DataAnnotations;

namespace OpenWarehouse.auth.api.Data;

public class ApplicationRole : IdentityRole
{
    public ApplicationRole(bool isGlobalAdmin = false) : base()
    {
        IsGlobalAdmin = isGlobalAdmin;
    }
    public ApplicationRole(string roleName, bool isGlobalAdmin = false) : base(roleName)
    {
        IsGlobalAdmin = isGlobalAdmin;
    }

    public List<RolePrivilage?> Privilege { get; set; } = new();

    public List<RegisterToken>? TokenToCreateUserWithThisRole { get; set; } = new();
    
    [Required]
    public bool IsGlobalAdmin { get; set; }
}